Bug 169032 - prelink cannot be rebuilt
prelink cannot be rebuilt
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: Patch
Depends On:
  Show dependency treegraph
Reported: 2005-09-22 08:33 EDT by Roozbeh Pournader
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-27 11:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix the compile error (614 bytes, patch)
2005-09-22 08:33 EDT, Roozbeh Pournader
no flags Details | Diff

  None (edit)
Description Roozbeh Pournader 2005-09-22 08:33:29 EDT
Description of problem:
FC4 version of prelink cannot be rebuilt using rpmbuild, neither the latest SRPM
nor the version in the CVS. The build stops with an error messge of:

exec.c: In function 'prelink_exec':
exec.c:119: error: jump into scope of identifier with variably modified type
make[3]: *** [exec.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/home/roozbeh/cvs/FC-4/prelink/prelink/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/roozbeh/cvs/FC-4/prelink/prelink'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/roozbeh/cvs/FC-4/prelink/prelink'

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
I have tried to move the label to an earlier location, which fixed the compile
error, but the build later fails in the "make -C testsuite check-harder" phase,
failing most of the tests. Attaching the patch anyway.
Comment 1 Roozbeh Pournader 2005-09-22 08:33:30 EDT
Created attachment 119131 [details]
Patch to fix the compile error
Comment 2 Jakub Jelinek 2005-09-27 11:43:49 EDT
This has been fixed in 0.3.5-1 several months ago.

Note You need to log in before you can comment on or make changes to this bug.